/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: KelpVersion.java,v 1.1.2.2 2000/03/21 09:47:38 pmahar Exp $
 */

package org.enhydra.ide;

/**
 * Class containing the XMLC version number.
 */
public class KelpVersion {
    public static final String VERSION = "1.1b1";
    public static final String SERVER_RUN_CLASS23 =
	"com.lutris.servlet.multiServer.MultiServer";
    public static final String SERVER_RUN_CLASS30 =
	"com.lutris.multiServer.MultiServer";

    public static String getEnhydraVersion() {
      String version = "2.3";
      try {
        Class.forName(KelpVersion.SERVER_RUN_CLASS23);
      } catch (ClassNotFoundException e) {
        version = "3.0";
      }
      return version;
    }

    /**
     * Get the class to run to start MultiServer.
     */
    public static String getMultiServerRunClass() {
      String runClass = KelpVersion.SERVER_RUN_CLASS23;
      try {
        Class.forName(runClass);
      } catch (ClassNotFoundException e) {
        runClass = KelpVersion.SERVER_RUN_CLASS30;
      }
      return runClass;
    }

    /**
     * Prevent instantiation.
     */
    private KelpVersion() {
    }

}

/*
 * Local Variables:
 * mode: java
 * End:
 */

