
/**
 * Title:        JBuilder Tools for Enhydra<p>
 * Description:  JBuilder 3 Add in tools for working with Enhydra.<p>
 * Copyright:    Copyright (c) 1999<p>
 * Company:      Lutris<p>
 * @author Paul Mahar
 * @version
 */
package org.enhydra.ide.jbuilder.common.wizard.conf;

import org .enhydra.ide.jbuilder.common.node.OtterConfFileNode;
import org.enhydra.ide.jbuilder.common.node.OtterNode;
import org.enhydra.ide.jbuilder.common.node.OtterProject;

import java.awt.*;
import java.beans.*;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.event.*;

public class StartupPropertyPanel extends JPanel {
  private OtterNode node;
  private GridBagLayout layoutMain;
  private JCheckBox checkConfigure;
  private JCheckBox checkRunClass;
  private JCheckBox checkCreateJava;
  private JPanel panelConfigFile;
  private JTextField textConfigFile;
  private GridBagLayout layoutConfigFile;
  private JButton buttonSet;
  private TitledBorder borderFile;

  public StartupPropertyPanel() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  public OtterNode getNode() {
    return node;
  }

  public void setNode(OtterNode n) {
    node = n;
  }


  private void jbInit() throws Exception {
    checkRunClass = (JCheckBox) Beans.instantiate(getClass().getClassLoader(), JCheckBox.class.getName());
    checkCreateJava = (JCheckBox) Beans.instantiate(getClass().getClassLoader(), JCheckBox.class.getName());
    panelConfigFile = (JPanel) Beans.instantiate(getClass().getClassLoader(), JPanel.class.getName());
    textConfigFile = (JTextField) Beans.instantiate(getClass().getClassLoader(), JTextField.class.getName());
    layoutConfigFile = (GridBagLayout) Beans.instantiate(getClass().getClassLoader(), GridBagLayout.class.getName());
    buttonSet = (JButton) Beans.instantiate(getClass().getClassLoader(), JButton.class.getName());
    checkConfigure = (JCheckBox) Beans.instantiate(getClass().getClassLoader(), JCheckBox.class.getName());
    layoutMain = (GridBagLayout) Beans.instantiate(getClass().getClassLoader(), GridBagLayout.class.getName());

     borderFile = BorderFactory.createTitledBorder("MultiServer Configuration File");

    checkConfigure.setText("Configure MultiServer startup");
    checkConfigure.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        enableUI(checkConfigure.isSelected());
      }
    });

    checkRunClass.setText("Set MultiServer as main class for project run");
    checkRunClass.setActionCommand("Set MultiServer as main class for project run");
    checkCreateJava.setText("Create StartMultiserver.java");
    textConfigFile.setText("jTextField1");
    textConfigFile.setMinimumSize(new Dimension(100, 21));
    textConfigFile.setPreferredSize(new Dimension(100, 21));
    textConfigFile.setEditable(true);

    panelConfigFile.setLayout(layoutConfigFile);
    panelConfigFile.setBorder(borderFile);
    buttonSet.setActionCommand("buttonSet");
    buttonSet.setText("Set...");
    panelConfigFile.add(textConfigFile, new GridBagConstraints(0, 0, 1, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(5, 5, 5, 5), 150, 0));
    panelConfigFile.add(buttonSet, new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(5, 5, 5, 5), 0, 0));
    this.setLayout(layoutMain);
    this.add(checkConfigure, new GridBagConstraints(0, 0, 3, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(5, 5, 5, 5), 0, 0));
    this.add(checkRunClass, new GridBagConstraints(0, 1, 3, 1, 0.0, 0.0
            ,GridBagConstraints.SOUTHWEST, GridBagConstraints.HORIZONTAL, new Insets(5, 30, 5, 5), 0, 0));
    this.add(checkCreateJava, new GridBagConstraints(0, 2, 3, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(5, 30, 5, 5), 0, 0));
    this.add(panelConfigFile, new GridBagConstraints(0, 3, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(5, 30, 5, 5), 0, 0));
  }

  private void enableUI(boolean enable) {
    buttonSet.setEnabled(enable);
    checkCreateJava.setEnabled(enable);
    checkRunClass.setEnabled(enable);
    textConfigFile.setEnabled(enable);
  }

  public void readProperties() {
    OtterProject project = node.getProject();

    checkConfigure.setSelected(project.isConfStartupSelected());
    checkCreateJava.setSelected(project.isConfStartupJava());
    checkRunClass.setSelected(project.isConfStartupRun());
    textConfigFile.setText(project.getConfStartupConf());
    enableUI(checkConfigure.isSelected());
  }

  public void writeProperties() {
    OtterProject project = node.getProject();
    project.setConfStartupSelected(checkConfigure.isSelected());
    project.setConfStartupJava(checkCreateJava.isSelected());
    project.setConfStartupRun(checkRunClass.isSelected());
    project.setConfStartupConf(textConfigFile.getText());
  }




}