/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: OracleNodeFactory.java,v 1.2.2.1 2000/03/21 09:47:45 pmahar Exp $
 */

package org.enhydra.ide.jbuilder.jdeveloper.node;

import org.enhydra.ide.jbuilder.common.node.OtterNodeFactory;
import org.enhydra.ide.jbuilder.common.node.OtterProject;
import org.enhydra.ide.jbuilder.common.node.OtterNode;
import org.enhydra.ide.jbuilder.common.node.OtterFolderNode;
import org.enhydra.ide.jbuilder.common.node.OtterConfFileNode;
import org.enhydra.ide.jbuilder.common.node.OtterHTMLFileNode;
import org.enhydra.ide.jbuilder.common.node.OtterImageFileNode;
import org.enhydra.ide.jbuilder.common.node.OtterJavaFileNode;
import org.enhydra.ide.jbuilder.common.node.OtterTextFileNode;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class OracleNodeFactory implements OtterNodeFactory {

    /**
     * Method declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param name
     *
     * @return
     *
     * @see
     */
    public OtterFolderNode createFolderNode(OtterProject otterProject,
					    OtterNode otterNode,
					    String name) {
	OtterFolderNode folder = new OracleFolderNode(otterProject, otterNode,
						   name);

	return folder;
    }

    /**
     * Method declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param file
     *
     * @return
     *
     * @see
     */
    public OtterJavaFileNode createJavaFileNode(OtterProject otterProject,
						OtterNode otterNode,
						String file) {
	OtterJavaFileNode javaFile = new OracleJavaFileNode(otterProject,
		otterNode, file);

	return javaFile;
    }

    /**
     * Method declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param file
     *
     * @return
     *
     * @see
     */
    public OtterHTMLFileNode createHTMLFileNode(OtterProject otterProject,
						OtterNode otterNode,
						String file) {
	OtterHTMLFileNode html = new OracleHTMLFileNode(otterProject, otterNode,
		file);

	return html;
    }

    /**
     * Method declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param file
     *
     * @return
     *
     * @see
     */
    public OtterImageFileNode createImageFileNode(OtterProject otterProject,
	    OtterNode otterNode, String file) {
	OtterImageFileNode image = new OracleImageFileNode(otterProject,
		otterNode, file);

	return image;
    }

    /**
     * Method declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param file
     *
     * @return
     *
     * @see
     */
    public OtterTextFileNode createTextFileNode(OtterProject otterProject,
						OtterNode otterNode,
						String file) {
	OtterTextFileNode text = new OracleTextFileNode(otterProject, otterNode,
		file);

	return text;
    }

    public OtterConfFileNode createConfFileNode(OtterProject otterProject,
						OtterNode otterNode,
						String file) {
	OtterConfFileNode conf = new OracleConfFileNode(otterProject, otterNode,
		file);

	return conf;
    }


    public OtterJavaFileNode replaceGeneratedSource(
           OtterProject project,
           OtterNode node, String file) {
       // nothing extra for Win32.
       return createJavaFileNode(project, node, file);
    }


}

