/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: XMLCNodePropertyPage.java,v 1.3.2.2 2000/03/26 21:33:41 pmahar Exp $
 */
package org.enhydra.ide.jbuilder.primetime.properties;

import org.enhydra.ide.jbuilder.common.node.OtterXMLCNode;
import org.enhydra.ide.jbuilder.primetime.node.PrimeHTMLFileNode;
import org.enhydra.devsys.swing.SwingUtil;
import com.borland.primetime.properties.*;
import com.borland.primetime.help.HelpTopic;
import com.borland.jbuilder.node.*;
import com.borland.primetime.help.ZipHelpTopic;

import java.util.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class XMLCNodePropertyPage extends PropertyPage {
  private XMLCNodePropertyPanel nodePanel = new XMLCNodePropertyPanel();
  private BorderLayout layoutMain  = new BorderLayout();
  private final String HELP_PAGE = "file:../jb-kelp/doc/developer/jb-kelp.html#xmlcnode";

  public XMLCNodePropertyPage(Object topic) {
    // TODO: ?? Should we support XMLFileNode too ??
    if (topic instanceof HTMLFileNode) {
      PrimeHTMLFileNode primeNode = null;
      primeNode = new PrimeHTMLFileNode((HTMLFileNode)topic);
      try {
        nodePanel.setNode(new OtterXMLCNode(primeNode));
        jbInit();
      }
      catch(Exception e) {
        e.printStackTrace();
      }
    }
  }

  public void readProperties() {
    nodePanel.readProperties();
  }

  public HelpTopic getHelpTopic() {
    ZipHelpTopic t = new ZipHelpTopic( null, HELP_PAGE );
    return t;
  }

  public void writeProperties() {
    nodePanel.writeProperties();
  }

  public XMLCNodePropertyPage() {
    try {
      jbInit();
    } catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    this.setLayout(layoutMain);
    this.add(nodePanel, BorderLayout.CENTER);
  }

}