/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: WinConfFileNode.java,v 1.1.2.2 2000/03/23 01:58:11 pmahar Exp $
 */

package org.enhydra.ide.jbuilder.win32.node;

import org.enhydra.ide.jbuilder.common.node.OtterConfFileNode;
import org.enhydra.ide.jbuilder.common.node.OtterSelectionNode;
import org.enhydra.ide.jbuilder.common.node.OtterNode;
import org.enhydra.ide.jbuilder.common.node.OtterProject;
import org.enhydra.ide.jbuilder.common.PropUtil;
import com.borland.jbuilder.addin.Project;
import com.borland.jbuilder.addin.Node;
import com.borland.jbuilder.addin.Url;
import java.io.File;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class WinConfFileNode extends WinNode implements OtterConfFileNode {
    private Exception exception = null;


    public WinConfFileNode(Node nativeNode) {
      super(nativeNode);
    }

    /**
     * Constructor declaration
     *
     *
     * @param otterProject
     * @param node
     * @param file
     *
     * @see
     */
    public WinConfFileNode(OtterProject otterProject, OtterNode node,
			   String file) {
	Node    nativeNode = null;
	Project nativeProject = null;
	Url     url = null;

	if (otterProject.getNativeProject() instanceof Project) {
	    nativeProject = (Project) otterProject.getNativeProject();
	}

	url = new Url(file);
	nativeNode = nativeProject.createNode(url, true);

	nativeProject.addNode(nativeNode);
	setNativeNode(nativeNode);
    }

  public boolean isSelected() {
    String in = getProperty(OtterSelectionNode.SELECTED);
    return PropUtil.stringToBoolean(in, false);
  }

  public void setSelected(boolean b) {
   setProperty(OtterSelectionNode.SELECTED, PropUtil.booleanToString(b));
  }


    /**
     * Save Exception information for reporting. This lets exceptions from
     * multiple nodes to be reported in a batch.
     *
     * @param e
     * An exception that occured while invoking XMLC.
     */
    public void setException(Exception e) {
	exception = e;
    }

    /**
     * Get an exception that occured when invoking XMLC. Null if the node
     * has not been compiled or was compiled without error.
     */
    public Exception getException() {
	return exception;
    }


  public File getOutputFileObject() {
    File out = new File(getFilename());
    String absolute = getProject().getConfOutputDirectory() +
        File.separator + out.getName();
    absolute = absolute.substring(0,absolute.length()-3);
    out = new File(absolute);
    return out;
  }


}


