/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: WinNode.java,v 1.4 2000/03/02 06:54:27 pmahar Exp $
 */


package org.enhydra.ide.jbuilder.win32.node;

import org.enhydra.ide.jbuilder.common.node.OtterNode;
import org.enhydra.ide.jbuilder.common.node.OtterProject;
import com.borland.jbuilder.addin.Url;
import com.borland.jbuilder.addin.Node;
import java.io.File;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class WinNode implements OtterNode {
    private Node nativeNode = null;

    /**
     * Constructor declaration
     *
     *
     * @see
     */
    public WinNode() {}

    /**
     * Constructor declaration
     *
     *
     * @param n
     *
     * @see
     */
    public WinNode(Node n) {
	nativeNode = n;
    }

    /**
     * Method declaration
     *
     *
     * @param n
     *
     * @see
     */
    public void setNativeNode(Object n) {
	nativeNode = (Node) n;
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public Object getNativeNode() {
	return nativeNode;
    }

    public OtterProject getProject() {
      return (new WinProject(nativeNode.getProject()));
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public char getFileSeparatorChar() {
	return File.separatorChar;
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public String getFilename() {
	String out = null;

	out = nativeNode.getFilename();

	return out;
    }

    public String getOptionFilename() {
      return getProperty(OPTION_FILENAME);
    }

    public void setOptionFilename(String n) {
      setProperty(OPTION_FILENAME, n);
    }


    /**
     * Method declaration
     *
     *
     * @param property
     *
     * @return
     *
     * @see
     */
    public String getProperty(String property) {
	String out = null;

	out = nativeNode.getProperty(property);

	return out;
    }

    /**
     * Method declaration
     *
     *
     * @param property
     * @param value
     *
     * @see
     */
    public void setProperty(String property, String value) {
	nativeNode.setProperty(property, value);
    }

    public void setProperty(String property, int i) {
        String value = Integer.toString(i);
	setProperty(property, value);
    }


}



/*--- formatting done in "Sun Java Convention" style on 01-16-2000 ---*/

